﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using RedCritterConnecter.Samples;

namespace AwardCertSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void bAwardCert_Click(object sender, EventArgs e)
        {
            AwardCert AwardCert = new AwardCert();
            AwardCert.onAwardCertResponse += AwardCert_onAwardCertResponse;
            AwardCert.onAwardCertResponseError += AwardCert_onAwardCertResponseError;
            AwardCert.Execute(tSecretKey.Text, tProfileEntity.Text, tCertName.Text, tDateIssued.Text, tExpirationDate.Text);
        }

        void AwardCert_onAwardCertResponseError(AwardCertResponse AwardCertResponse)
        {
            lResult.Text = "AwardCert call failed";
        }

        void AwardCert_onAwardCertResponse(AwardCertResponse AwardCertResponse)
        {
            lResult.Text = "AwardCert call was successfully submitted";
        }

    }
}
